<?PHP // $Id: myeducationpath.php,v 2.0 2010/09/20

global $CFG;

// General functions
$string['pluginname'] = 'My Education Path';
$string['pluginadministration'] = 'My Education Path administration';
$string['modulename'] = 'My Education Path';
$string['modulenameplural'] = 'myeducationpath';
$string['myeducationpath:view'] = 'MyEducationPath.com';
$string['myeducationpath:manage'] = 'MyEducationPath.com';
$string['myeducationpath:printteacher'] = 'MyEducationPath.com';
$string['myeducationpath:student'] = 'MyEducationPath.com';

// Adding an instance

$string['name'] = 'My Education Path publish and feedback';
$string['name_help'] = 'This is the name of activity in the course. If you plan to make this visible to students then give a name like "COurse feedback" or "Give your comments"';

$string['intro'] = 'Introduction';
$string['areaintro'] = 'MyEducationPath.com introduction';
$string['addlinklabel'] = 'Add another linked activity option';
$string['addlinktitle'] = 'Click to add another linked activity option';
$string['intro_help'] = 'Add some text to ask your students to leave feedback about the course. This is optional.';

$string['visible'] = 'Visibility';
$string['visible_help'] = 'Set this not visible only if you use the plugin just for publishing the course in the MyEducationPath.com directory. If you want to issue certificates of course compltion or get comments about the course then it must be visible.';

$string['choosecategory'] = '-- choose category --';
$string['category'] = 'Category';
$string['category_help'] = 'Category where the course will be added on MyEducationPath.com';

$string['tags'] = 'Tags';
$string['tags_help'] = 'Comma separated list of tags';

$string['imageurl'] = 'Image URI';
$string['imageurl_help'] = 'This is the link to course image. THis is optional. You can provider the link to an image associated with the course. This image will be displayed in course description on the MyEducationPath.com directory.';

$string['certificategenerating'] = 'Certificate of course completion options';
$string['coursepublishing'] = 'Course publishing in the MyEducationPath.com directory';
$string['confformnoapikey'] = 'You do not have correct API key for MyEducationPath.com . To save the key go to Site Administration--Plugins and update settings for the MyEducationPath plugin. If you do not have a key then go to <a href="http://dean-dashboard.com/" target="_blank">http://Dean-Dashboard.com/</a> and register new Education Provider account';
$string['apikeywarningheader'] = 'No API key';

//settings page texts
$string['settingsdescription']='Configure MyEducationPath.com integration. <br>This plugin is used to issue certificates of course completion to your students, to list your courses in online courses directory <a href="http://MyEducationPath.com/courses" target="_blank">http://MyEducationPath.com/courses</a> and getting feedback from your students (in form of comments for your course in the directory).<br>If you decide to add a course to the directory or issue certificates then go to course and add new activity "MyEducationPath" to any section (recomended to last section). If you want only to list your course in the online directory then make the new activity unvisible (set Visible to <b>No</b>, so students will not see it but the course still can be added to MyEducationPath.com)<br><br>In the Activity settings you will have to decide if you want only to list the course or also to issue certificates for students.<br><br>To understand how the plugin works go to the <a href="http://dean-dashboard.com/pages/moodleintegration/Moodle+integration+plugin.htm" target="_blank">MyEducationPath Moodle plugin</a> documentation page (on Dean-Dashboard.com).<br><br>	NOTE. Only couses where this activity is added will be added to MyEducationPath.com directory. For every course folowing data is posted to the directory: course name, description, instructors names (teachers), price, start date (if is set). No any sensitive information is posted.';

$string['enableintegration'] = 'Enable integration with <a href="http://MyEducationPath.com/" target="_blank">http://MyEducationPath.com</a>';
$string['configenableintegration'] = 'If this is No then any interaction with MyEducationPath.com will be disabled. Any data from this Moodle site will not be transfered to the directory. This option is used to disable the plugin when it is not used.';

$string['apikey'] = 'API key';
$string['configapikey'] = 'Set there your API key from your Dean-Dashboard.com profile. Without this key the plugin will not work.';

$string['apiendpoint'] = 'API endpoint';
$string['configapiendpoint'] = 'This is optional. Enter API endpoint if you store your certificates on some different server then Dean-Dashboard.com';

$string['certificateidformat'] = 'Certificate Code Format';
$string['randomcode'] = 'Random code';
$string['customcodeformat'] = 'Custom code';
$string['certificatecustomformat'] = 'Certificate Code Custom Format';

$string['certificateidformat_help'] = 'Choose Random or Custom code format. If Random is chosen then random certificate code (ID) will be generated. If Custom then it is needed to specify code format in field "Custom Code template"';
$string['configcertificateidformat'] = $string['certificateidformat_help'].'<br>This option is used as defaul for all courses and can be changed for each individual course.';

$string['certificatecustomformat_help'] = 'This is used when option "Certificate Code Format" is "Custom code". This must be template of the code. The template can contain any text and some variables. Variables are marked with % symbol.<br> Possible variables:<br> Y - current year,<br>M - current month,<br>D - current day,<br>S - student ID in system,<br>C - course ID,<br>N - number of certificate in course.<br> Examples:<br> CW:%Y.%M.%D.%N  - code will look like CW:2012.01.30.10 , 10 is next number of certificate for course<br> CERT:%C-%S  - code will look like CERT:40-2364 , 40 - id of course, 2364 - if og the student in system<br>';
$string['configcertificatecustomformat'] = $string['certificatecustomformat_help'].'<br>This option is used as defaul for all courses and can be changed for each individual course.';

$string['dateformat'] = 'Date format';
$string['configdateformat'] = 'Format of the date on certificate. This must be string like "F d, Y" - this will output date "March 10, 2001". Or format "j, n, Y" will output date "10, 3, 2001"<br> More information about possible format templates find on <a href="http://php.net/manual/en/function.date.php" target="_blank">PHP date() function</a> manuals';
	
$string['certificateassigndate_help'] = 'Date of certificate receiving. If this is not defined then date of certificate receiving will be date when the user inits "get certificate" button.';
$string['certificateenddate_help'] = 'This is date when certificate expire. If certificates never expire then just leave this empty.';

$string['modulename_help'] = 'The MyEducationPath activity module enables integration with <a href="http://myeducationpath.com/courses" target="_blank">http://MyEducationPath.com/courses</a> directory. Use it to publish a course in the MyEducationpath.com directory or to issue certificates of course completion for students.';

//copy from certificateswall
$string['incompletemessage'] = 'In order to download your certificate, you must first complete all required '.'activities. Please return to the course to complete your coursework.';
$string['issued'] = 'Issued';
$string['notissued'] = 'Not Issued';
$string['notissuedyet'] = 'Not issued yet';
$string['notreceived'] = 'You have not received this certificate';
$string['getcertificate'] = 'Get your certificate';
$string['report'] = 'Report';
$string['code'] = 'Code';
$string['viewed'] = 'You received this certificate on:';
$string['lastviewed'] = 'You last received this certificate on:';
$string['viewcertificateviews'] = 'View {$a} issued certificates';
$string['reviewcertificate'] = 'Review your certificate';

$string['receivedcerts'] = 'Received certificates';
$string['summaryofattempts'] = 'Summary of Previously Received Certificates';

// Email text
$string['awarded'] = 'Awarded';
$string['emailteachermail'] = '
{$a->student} has received their certificate: \'{$a->certificate}\'
for {$a->course}.

You can review it here:

    {$a->url}';
$string['emailteachermailhtml'] = '
{$a->student} has received their certificate: \'<i>{$a->certificate}</i>\'
for {$a->course}.

You can review it here:

    <a href=\"{$a->url}\">Certificate Report</a>.';
    
$string['emailstudentmail'] = '
Hello {$a->student},
You have received you certificate certificate: \'{$a->certificate}\'
for {$a->course}.

You can review it here:

    {$a->url}';
$string['emailstudentmailhtml'] = '
Hello {$a->student},<br>
You have received your certificate: \'<i>{$a->certificate}</i>\'
for {$a->course}.<br><br>

You can review it here:<br>

    <a href="{$a->url}">Certificate on MyEducationPath</a>.';

// Print to certificate strings
$string['grade'] = 'Grade';
$string['coursegrade'] = 'Course Grade';
$string['credithours'] = 'Credit Hours';

// Certificate transcript strings
$string['notapplicable'] = 'N/A';
$string['certificatesfor'] = 'Certificates for';
$string['coursename'] = 'Course';
$string['viewtranscript'] = 'View Certificates';
$string['mycertificates'] = 'My Certificates';
$string['nocertificatesreceived'] = 'has not received any course certificates.';
$string['notissued'] = 'Not received';
$string['reportcert'] = 'Report Certificates';
$string['certificatereport'] = 'Certificates Report';
$string['printerfriendly'] = 'Printer-friendly page';
$string['or'] = 'Or';

//General settings

$string['emaildirectly'] = 'Directly (recommended)';
$string['emailremotely'] = 'From MyEducationPath.com';
$string['currentgrade'] = 'Current total grade';
$string['musthavesomegrade'] = 'You can get a certificate only if your total course grade is not less then %.2f %%';
$string['youhavenocertificateissued'] = 'You have no the certificate issued to you.';
$string['getcertificatecode'] = 'Get your certificate code';
$string['withcode'] = 'With code';
$string['howtousecode'] = 'You can see your certificate with <a href="http://MyEducationPath.com" target="_blank">MyEducationPath.com</a> service. '.
	'Read instructions <a href="http://MyEducationPath.com/content/moodlefaq.html#addwithcode" target="_blank">here</a>.';
$string['yourcertificatecode'] = 'Your certificate code is:';
$string['viewyourcertificate'] = 'View your certificate';
$string['viewyourcertificateoncw'] = 'View your certificate on MyEducationPath.com';
	
$string['recreatecertificate'] = 'Re-create your certificate (if it was deleted directly from MyEducationPath.com)';
$string['createcertificate'] = 'Create your certificate';
$string['getcertificate'] = 'Get your certificate';
	
$string['link'] = 'Certificate link';
	
$string['studentwithoutcert'] = 'Students without a certificate';
$string['issuecertificate'] = 'Issue certificate';

$string['whattodowithcertificate'] = 'The certificate was generated with MyEducationPath.com. It can be printed or you can open the certificate on the MyEducationPath.com page and assign to your student account (if you do not have then just register a new free account). Then your certificate can be shared with social networks and added to the personal Education Passport (your education history profile). ';

$string['certificatetemplate'] = 'Certificate template';
$string['certificatetemplate_help'] = 'Choose a template to use for certificates. You can edit templates in your MyEducationPath.com education provider account';

// Adding an instance
$string['areaintro'] = 'Certificate introduction';
$string['addlinklabel'] = 'Add another linked activity option';
$string['addlinktitle'] = 'Click to add another linked activity option';
$string['issueoptions'] = 'Issue Options';
$string['completiondate'] = 'Course Completion';
$string['emailteachers'] = 'Email Teachers';
$string['emailothers'] = 'Email Others';
$string['printoutcome'] = 'Print Outcome';
$string['nogrades'] = 'No grades available';
$string['none'] = 'None';
$string['finalquiz'] = 'Final exam (quiz)';
$string['finalquiz_help'] = 'Choose what exam (quiz) should be considered as final quiz';
$string['certificateidformat'] = 'Certificate Code Format';
$string['randomcode'] = 'Random code';
$string['customcodeformat'] = 'Custom code';
$string['certificatecustomformat'] = 'Certificate Code Custom Format';
$string['coursehours'] = 'Course hours';
$string['certificateassigndate'] = 'Certificate date';
$string['certificateenddate'] = 'Certificate expiry date';
$string['certificatetime'] = 'Expiry months';
$string['allowautoissue'] = 'Certificate autoissue';
$string['minimumgrade'] = 'Minimum grade to autoissue (%)';
$string['emailstudent'] = 'Email student';


// Reset certificates
$string['deletissuedcertificates'] = 'Delete issued certificates';
$string['removecert'] = 'Issued certificates removed';

// Help strings
$string['emailstudent_help'] = 'Send email to a student when a certificate is issued to him by the teacher. There are 2 possible ways to send an email. "Directly" means the notification email will be send from this web site. "WIth MyEducationPath.com" means the email will be send from the MyEducationPath.com server. ';
$string['allowautoissue_help'] = 'If enabled, then students can get a certificate automatically with clicking on the button <i>Get certificate</i>. If disabled then only teacher can issue a certificate manually. ';
$string['minimumgrade_help'] = 'If this value is more then 0 and AutoIssue is enabled then a student can get a certificate only if his total course grade is more then this value. The value is a percent (from 0 to 100 without a % sign)';
$string['emailteachers_help'] = 'If enabled, then teachers are alerted with an email whenever students receive a certificate. The message will be send only if autoissue option is used.';
$string['emailothers_help'] = 'Enter the email addresses here, separated by a comma, of those who should be alerted with an email whenever students receive a certificate. The message will be send only if autoissue option is used.';
$string['coursehours_help'] = 'Enter count of hours for course. This can be used to print on certificates for course.';
$string['certificatetime_help'] = 'Count of months while certificate is valid after receiving. This option will be used only if "Certificate expiry date" is not set. If this is empty or 0 then "end date" will not be calculated. This option can be used when it is needed to print "End date" on certificate.<br>Example: if date of receiving is "2012-02-10" and this value is 12 then end date will be "2013-02-10"';  

$string['allowcertificates'] = 'Certificates Issue';
$string['allowcertificates_help'] = 'If this is "No" then certificates can not be issued. In this case the activity can be only used to publish the course in the MyEducationPath.com online courses directory and getting feedback from students.';

$string['mepcourseidmanual'] = 'Course ID in MEP';
$string['mepcourseidmanual_help'] = 'If this course is already published in MyEducationPath.com directory then you can set the course ID. If it is not yet published then just leave this empty and configure automated publishing below';

$string['publishcoursedescription'] = 'Configure how to publish the course in the MyEducationPath.com directory. If the course is already published then you should set the ID. You can find the ID on http://myeducationpath.com when you are loged in your Education Provider account.';
$string['publishcoursedescriptionor'] = 'Or, if the course is not yet published then leave the "Course ID in MEP" empty and configure publish options below.';

$string['certificateremoved'] = 'Certificates removed';

$string['back'] = 'Back';
$string['to'] = 'Awarded to';
$string['course'] = 'For';
$string['date'] = 'On';
$string['grade'] = 'Grade';
$string['awardedto'] = 'Awarded To';
$string['receiveddate'] = 'Date Received';
$string['reportdelete'] = 'Delete';

